import static org.junit.Assert.*;

import org.junit.Test;


public class LotkaVolterraModeleTest {

    static final double PRECISION = 0.00001;

    @Test
    public void testLotkaVolterraModele() {
	LotkaVolterraModele modele = new LotkaVolterraModele(10, 100, 0.2, 0.003, 0.5, 0.0007);
	assertEquals(10, modele.x, PRECISION);
	assertEquals(100, modele.y, PRECISION);
    }

    @Test
    public void testEvolue() {
	LotkaVolterraModele modele = new LotkaVolterraModele(10, 100, 0.2, 0.003, 0.5, 0.0007);
	modele.evolue();
	assertEquals(9,  modele.x, PRECISION);
	assertEquals(50.7, modele.y, PRECISION);

	modele = new LotkaVolterraModele(10, 100, 0, 0.1, 0, 0);
	modele.evolue();
	assertEquals(0,  modele.x, PRECISION);
	assertEquals(100, modele.y, PRECISION);

	modele = new LotkaVolterraModele(10, 100, 0, 0, 2, 0);
	modele.evolue();
	assertEquals(10,  modele.x, PRECISION);
	assertEquals(0, modele.y, PRECISION);
    }

}
